[android-components](../../index.md) / [mozilla.components.service.digitalassetlinks](../index.md) / [Relation](index.md) / [USE_AS_ORIGIN](./-u-s-e_-a-s_-o-r-i-g-i-n.md)

# USE_AS_ORIGIN

`USE_AS_ORIGIN` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/digitalassetlinks/src/main/java/mozilla/components/service/digitalassetlinks/Relation.kt#L18)

Grants the target permission to retrieve sign-in credentials stored for the source.
For App -&gt; Web transitions, requests the app to use the declared origin to be used as origin
for the client app in the web APIs context.

### Inherited Properties

| Name | Summary |
|---|---|
| [kindAndDetail](kind-and-detail.md) | `val kindAndDetail: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Kind and detail, separated by a slash character. |
